/*
Theme Name: Elessi Child Theme
Theme URI: https://elessi.nasatheme.com/demo/
Description: This is a child theme for Elessi Theme
Author: NasaTheme
Author URI: https://nasatheme.com
Template: elessi-theme
Version: 1.0
*/
.alignnone {
    margin: 5px 20px 20px 0;
}

.aligncenter,
div.aligncenter {
    display: block;
    margin: 5px auto 5px auto;
}

.alignright {
    float:right;
    margin: 5px 0 20px 20px;
}

.alignleft {
    float: left;
    margin: 5px 20px 20px 0;
}

a img.alignright {
    float: right;
    margin: 5px 0 20px 20px;
}

a img.alignnone {
    margin: 5px 20px 20px 0;
}

a img.alignleft {
    float: left;
    margin: 5px 20px 20px 0;
}

a img.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto
}


/*************** ADD YOUR CUSTOM CSS IN THIS AREA ***************/

.atts_links_label{
	font-size: 17px;
    font-weight: 500;
}
.atts_links_items_color>*{
	margin-right: 10px;
	margin-top: 10px;
	border: 2px solid transparent;
	border-radius: 50%;
	padding: 2px;
	
}
body .atts_links_items_color a{
	transition-duration: 0.2s;
	transition-property: all;
}
.atts_links_items_color{
	display: flex;
	align-items: center;
}
.atts_links_items_color .color_span{
	display: block;
	width: 28px;
	height: 28px;
	border-radius: 50%;
}
.atts_links_item{
	margin-bottom: 15px;
}
.atts_links_items_color .disable_att{
	opacity: 0.5;
	cursor: not-allowed;
}
.atts_links_items_color .active_att{
	border-color:#f76b6a;
}
.atts_links_items_color a:hover{
	border-color:#f76b6abf;
}

.atts_links_items_atts{
	display: flex;
    align-items: center;
}
body .atts_links_items_atts a {
    transition-duration: 0.2s;
    transition-property: all;
}
.atts_links_items_atts>* {
    margin-right: 10px;
    margin-top: 10px;
    border: 2px solid transparent;
    border-radius: 3px;
    padding: 2px;
	padding: 3px 8px
}
.atts_links_items_atts .active_att {
    border-color: #f76b6a;
}
.atts_links_items_atts .disable_att {
    opacity: 0.5;
    cursor: not-allowed;
}

.together_offers_slider_item{
	display: flex!important;
	align-items: center;
	justify-content: space-between;
}
.together_offer_item{
	max-width: 200px;
}
.together_offer_item_title{
	padding: 10px 0 0 0;
	text-align: center;
}
.together_offer_item_title a{
	padding: 8px 0;
    font-size: 115%;
    line-height: 130%;
    font-weight: normal;
    color: #000;
    display: block;
}
.together_offer_item_price{
	margin-bottom: 12px;
}
.together_offer_item_price{
	display: block;
    text-align: center;
}
.together_offer_plus, .together_offer_val{
	font-size: 50px;
	padding: 20px;
}
.together_offer_cart_old_price{
	text-align: center;
    color: #aaa;
    font-weight: normal;
    font-size: 130%;
    text-decoration: line-through;
	margin-bottom: 20px;
}
.together_offer_cart_new_price{
	text-align: center;
    font-weight: 500;
    font-size: 150%;
	margin-bottom: 20px;
}
.together_offer_add_to_cart_button.loading:before {
    content: "";
    display: block;
    position: absolute;
    z-index: 9;
    opacity: 0.6;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 20px;
    margin-left: -10px;
    margin-top: -10px;
    border-top: 2px solid #efefef;
    border-bottom: 2px solid #333;
    border-left: 2px solid #efefef;
    border-right: 2px solid #333;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    -webkit-animation: nasa-spin .5s linear infinite;
    -moz-animation: nasa-spin .5s linear infinite;
    -o-animation: nasa-spin .5s linear infinite;
    -ms-animation: nasa-spin .5s linear infinite;
    animation: nasa-spin .5s linear infinite;
}

/*
body .elementor-widget-container .nasa-panels .products .row,
.products.grid,
.nasa-slider-wrap .products.grid .slick-track {
	display: flex!important;
	flex-wrap: wrap!important;
    align-items: flex-end!important;
	
}*/


.cart_group{
	color: #6bad0d;
    font-weight: 500;
}
@media ALL AND (max-width: 1050px){
	.together_offer_item {
		max-width: 150px;
	}
}
@media ALL AND (max-width: 991px){
	.together_offer_item {
		max-width: 150px;
	}
	.together_offer_plus, .together_offer_val {
		font-size: 30px;
		padding: 5px;
	}
}
@media ALL AND (max-width: 768px){
	
	.together_offers_slider_item .together_offer_item_image{
		display: none;
	}
	.together_offers_slider_item{
		flex-wrap: wrap;
	}
	.together_offers_slider_item>*{
		display: block;
		width: 100%;
		text-align: center;
	}
	.together_offer_item {
		max-width: initial;
	}
	.together_offer_plus, .together_offer_val {
		font-size: 18px;
		padding: 0px;
		line-height: 1;
	}
	.together_offer_item_title a {
		padding: 0px 0;
	}
	.together_offer_cart_old_price,
	.together_offer_cart_new_price{
		margin-bottom: 10px;
	}
	.together_offer_add_to_cart_all{
		    margin-top: 15px;
	}
}
.organic-style-wrap .wpcf7 input[type=email],
.organic-style-wrap .wpcf7 input[type=tel] {
    padding-left: 20px;
    margin-bottom: 10px;
    -webkit-border-radius: 50px 0 0 50px;
    -moz-border-radius: 50px 0 0 50px;
    border-radius: 50px 0 0 50px;
}
.organic-style-wrap .wpcf7 .wpcf7-submit{
	margin-top: 0;
}
.nasa-add-to-cart-fixed .nasa-single-btn-clone button[name="add-to-cart"],
.nasa-add-to-cart-fixed .nasa-single-btn-clone .single_add_to_cart_button,
.nasa-add-to-cart-fixed .nasa-single-btn-clone .quantity,
.nasa-add-to-cart-fixed .nasa-single-btn-clone .custom_add_to_cart_btn,
.nasa-product-info-wrap button[name="add-to-cart"],
.nasa-product-info-wrap .quantity{
	display: none!important;
}
.nasa-product-info-wrap .cart .nasa-buy-now{
	flex-grow: initial;
    background: transparent;
    color: #333333;
    box-shadow: none;
    border: 2px solid #81d742;
}
.product-availability.in-stock{
	background: #79b530;
}
.product-availability.out-of-stock{
	background: red;
}
.woocommerce-shipping-totals.shipping{
	display:none;
}
.product-availability{
	font-size: 15px;
    color: #fff;
    padding: 1px 6px;
    display: inline-block;
    line-height: 1.1;
}
.open_fast_buy_product_pop{
	    border: none;
    -webkit-box-shadow: inset 0 -2px 0 rgba(0, 0, 0, 0.3);
    -moz-box-shadow: inset 0 -2px 0 rgba(0, 0, 0, 0.3);
    box-shadow: inset 0 -2px 0 rgba(0, 0, 0, 0.3);
	margin: 5px 3px;
    width: auto;
    min-width: 100px;
    flex-grow: 1;
}

.thanks-text-pop{
	background: #fff;
    font-size: 25px;
    padding: 40px 15px;
    text-align: center;
    margin: 0 auto;
    position: relative;
    border-radius: 10px;
    max-width: 500px;
    font-weight: 500;
}
.wbbsp-outer h1{
	margin-bottom: 0;
}
.rating-available .woocommerce-product-rating{
	display: flex;
    margin-right: 15px;
}
.rating-available{
	display: flex;
    justify-content: flex-end;
    align-items: center;
	margin-bottom: 10px;
}

.present_product{
	width: calc(100% - 80px);
	border: 2px solid #6bad0d;
    padding: 5px;
}
.present_product_inner{
	display: flex;
    align-items: center;
}
.present_product_image{
	width: 100px;
	max-width: 30%;
}
.present_product_data{
	width: calc(100% - 100px);
	padding-left: 15px;
	min-width: 70%;
}
.present_product_label{
	color: #6bad0d;
    font-weight: 500;
    font-size: 23px;
    margin-bottom: 10px;
}
.present_product_price{
	display: flex;
    align-items: center;
    margin-top: 10px;
	flex-wrap: wrap;
}
.present_product_reg_price{
	text-decoration: line-through;
    font-size: 16px;
    margin-right: 10px;
}
.present_product_now_price{
	color: #6bad0d;
	font-size: 16px;
}
.discount-counter{
	width: calc(100% - 80px);
	padding: 0 20px;
}
.discount-counter-inner{
	width: 100%;
    border: 2px solid #6bad0d;
    padding: 12px 10px;
    border-radius: 30px;
    margin-top: 20px;
    margin-bottom: 20px;
    text-align: center;
}
.discount-counter-title{
	margin-bottom: 5px;
}
.discount-counter-body{
	display: flex;
	align-items:flex-start;
	justify-content:center;
}
.discount-counter-body-item.discount-counter-body-item-dots{
	width: 20px;
}
.discount-counter-body-item{
    text-align: center;
}
.discount-counter-body-up{
	    font-size: 26px;
    font-weight: 500;
}
.discount-counter-body-down{
	font-size: 12px;
}
.present_product_label_mobile{
	display: none;
}
.cart-free{
	color: #6bad0d;
    font-size: 16px;
	margin-top: 5px;
}

.upsale-product-item:hover{
	transform: scale(1.05);
}
.upsale-product-item{
	transition-duration: 0.2s;
    background: #fff;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
	height: 100%;
}
.upsale-product-image img{
	display: block;
	width: 100%;
	height: auto;
}
.upsale-product-image{
	position:relative;
}
.upsale-product-percent:after{
	content: '';
    width: 0;
    height: 0;
    border-top: 18px solid transparent;
    border-left: 9px solid var(--upsale-label-bg-color);
    border-bottom: 18px solid transparent;
    display: block;
    position: absolute;
    left: 100%;
    top: 0;
}
.upsale-product-percent:before{
	content: '';
	width: 0;
	height: 0;
	border-top: 10px solid var(--upsale-label-bg-color); 
	border-left: 10px solid transparent;
    display: block;
    position: absolute;
    left: 0;
    top: 100%;
	filter: brightness(80%);
}
.upsale-product-percent{
	position: absolute;
    left: -10px;
    top: 20px;
    font-size: 25px;
    text-align: center;
    padding: 5px 5px 6px;
	min-width: 75px;
}
.upsale-product-info{
	padding: 10px;
}
.upsale-product-prices{
	display: flex;
	align-items: stretch;
}
.upsale-product-price-old:after{
	content: '';
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    border-bottom: 54px solid #f5a738;
    border-left: 30px solid transparent;
    top: 0;
    right: 0px;	
}
.upsale-product-price-old{
	position: relative;
}
.upsale-product-price-old{
	width: calc(50% + 15px);
	position: relative;
	padding: 5px;
	height: 54px;
}
.upsale-product-price-new{
	width: calc(50% - 15px);
	position: relative;
	padding: 5px;
	height: 54px;
}
.ups-price-label{
	font-size: 16px;
	margin-bottom: 8px;
}
.ups-price{
	font-size: 19px;
    font-weight: 500;
}
.upsale-product-name{
	margin-top: 10px;
    font-size: 19px;
    font-weight: 500;
}
.upsale-product-stars{
	margin-top: 10px;
}
.upsale-product-details{
	display: none;
	padding-top: 5px;
}
.upsale-product-details p{
	margin-bottom: 5px;
}
.upsale-product-show-details-btn svg{
	transition-duration: 0.2s;
	transform: rotate(-90deg);
	margin-left: 5px;
}
.upsale-product-show-details-btn:hover{
	border: 1px solid var(--upsales-btn-more-bg-color);
	filter: brightness(95%);
	font-weight: 500!important;
	padding: 7px;
}
.upsale-product-show-details-btn{
	transition-duration: 0s!important;
	font-weight: 500!important;
	display: flex;
    width: 100%;
    border: 1px solid var(--upsales-btn-more-bg-color);
    font-size: 13px;
    height: initial;
    padding: 7px;
    justify-content: center;
    align-items: center;
}
.upsale-product-add{
	margin-top: 10px;
}
.upsale-product-details-outer{
	margin-top: 5px;
}

.upsale-product-add-btn.adding:before{
	content: attr(data-adding);
}
.upsale-product-add-btn:before{
	content: attr(data-add);
}

@keyframes upsalePulse {
    0% {
        width: 8px;
        height: 8px;
    }
    50% {
        width: 0;
        height: 0;
    }
    100% {
        width: 8px;
        height: 8px;
    }
}
.upsale-product-add-btn.loading:after{
	content: '';
	position: absolute;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background-color: var(--upsales-btn-add-color);
	right: 7px;
	top: 50%;
	transform: translate(0, -50%);
	animation: upsalePulse 1s infinite; 
}
.upsale-product-add-btn{
	transition-duration: 0s!important;
	font-weight: 500!important;
    border: 1px solid var(--upsales-btn-add-bg-color);
    font-size: 13px;
    height: initial;
    padding: 10px 20px;
	position:relative;
}
.upsale-product-add-btn:hover{
	border: 1px solid var(--upsales-btn-add-bg-color);
	filter: brightness(95%);
	font-weight: 500!important;
	padding: 10px 20px;
}

#comments, .comments{
	max-width: 700px;
    margin: 0 auto;
}
.upsales-row{
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	max-width: 1200px;
	width: 100%;
	margin: 0 auto;
}
.upsaleSuccess svg{
	margin-right: 5px;
}
.upsaleSuccess{
	position: fixed;
    right: 10px;
    top: 50px;
    z-index: 400;
    background: #fff;
    width: 250px;
    text-align: center;
    padding: 20px 15px;
    border-radius: 20px;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,.15);
    display: flex;
    align-items: center;
    font-size: 17px;
}
.upsale-product-item-outer{
	width: 25%;
	padding-left: 10px;
    padding-right: 10px;
	margin: 10px 0 20px;
}
.live-review-block{
	margin-top: 20px;
}
.live-review-block-items{
	display: flex;
	flex-wrap:wrap;
}
.live-review-block-item a span{
	position: absolute;
	opacity: 0;
	width: 100%;
	bottom: 0;
	padding: 10px;
	color: #fff;
	transition-duration:0.2s;
	z-index: 1;
}
.live-review-block-item a:hover span{
	opacity: 1;
}
.live-review-block-item a:hover:before{
	opacity:1;
}
.live-review-block-item a:hover img{
	transform: scale(1.05)
}
.live-review-block-item a:before{
	content: '';
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: #0000007d;
    position: absolute;
	opacity:0;
	z-index:1;
	transition-duration:0.2s;
}
.live-review-block-item a{
	overflow: hidden;
	position: relative;
	
}
.live-review-block-item a,.live-review-block-item img{
	display: block;
	width: 100%;
	height: auto;
	transition-duration:0.2s;
}
.live-review-block-item{
	width: 20%;
	padding:3px;
}
body .nasa-order-received .woocommerce-thankyou-order-received{
	font-size: 200%;
    font-weight: 500;
	line-height: 1.2;
}
@media ALL AND (max-width: 1024px){
	.upsale-product-item-outer{
		width: 33.333333333333%;
	}
	.live-review-block-item {
		width: 25%;
	}
}
@media ALL AND (max-width: 767px){
	.live-review-block-item a:before{
		opacity:1;
	}
	.live-review-block-item a span{
		opacity:1;
		font-size: 12px;
	}
	.live-review-block-item {
		width: 33.3333333%;
	}
	.ups-price-label {
		font-size: 14px;
	}
	.upsale-product-name{
		font-size: 17px;
	}
	.ups-price {
		font-size: 17px;
	}
	.upsale-product-item-outer{
		width: 50%;
	}
	body .nasa-product-details-page .product-gallery .nasa-thumb-wrap{
		display: block!important;
		width: 100%;
	}
	body.product-template-default .woocommerce-product-gallery__wrapper>div{
		display: flex;
		flex-direction: column-reverse;
	}
	.products-arrow.show{
		display: none!important;
	}
	.present_product {
		width: 100%;
		border: 2px solid #6bad0d;
		padding: 11px;
		border-radius: 30px;
		position: relative;
		box-shadow: 0px 2px 4px 2px rgba(0,0,0,0.5);
		background: #fff;
		margin-top: 20px;
		z-index:2
	}
	.present_product_name{
		text-align: center;
	}
	.present_product_outer{
		position:relative;
	}
	.present_product_price{
		justify-content: center;
	}
	.present_product_label{
		display: none;
	}
	.present_product_label_mobile{
		position: absolute;
		bottom: 100%;
		left: 0px;
		background: #6bad0d;
		color: #fff;
		margin-bottom: -37px;
		z-index: 1;
		font-size: 18px;
		padding: 5px 5px 46px 5px;
		border-radius: 10px;
		display: block;
	}
	.discount-counter {
		width: 100%;
		padding: 0;
		max-width: 400px;
		margin: 0 auto;
	}
	body .nasa-order-received .woocommerce-thankyou-order-received{
		font-size: 150%;
		font-weight: 500;
		line-height: 1.2;
	}
}
@media ALL AND (max-width: 600px){
	.upsale-product-percent:after{
		border-top: 15px solid transparent;
		border-left: 9px solid var(--upsale-label-bg-color);
		border-bottom: 15px solid transparent;
	}
	.upsale-product-percent{
		font-size: 19px;
		min-width: 60px;
		    top: 10px;
	}
	.live-review-block-item {
		width: 50%;
	}
	.upsale-product-price-old:after{
		border-left: 10px solid transparent;
		border-bottom: 46px solid #f5a738;
	}
	.upsale-product-name {
		font-size: 14px;
	}
	.upsale-product-details{
		font-size: 13px;
	}
	.upsale-product-price-old,.upsale-product-price-new{
		width: calc(50% + 5px);
		padding: 5px;
		height: 46px;
	}
	.ups-price-label {
		font-size: 12px;
	}
	.ups-price {
    font-size: 14px;
}
}
@media ALL AND (max-width: 500px){
	.upsale-product-item-outer{
		width: 50%;
	}
	
}